package model

import "github.com/zeromicro/go-zero/core/stores/sqlx"

var _ FsProductModel3dModel = (*customFsProductModel3dModel)(nil)

type (
	// FsProductModel3dModel is an interface to be customized, add more methods here,
	// and implement the added methods in customFsProductModel3dModel.
	FsProductModel3dModel interface {
		fsProductModel3dModel
	}

	customFsProductModel3dModel struct {
		*defaultFsProductModel3dModel
	}
)

// NewFsProductModel3dModel returns a model for the database table.
func NewFsProductModel3dModel(conn sqlx.SqlConn) FsProductModel3dModel {
	return &customFsProductModel3dModel{
		defaultFsProductModel3dModel: newFsProductModel3dModel(conn),
	}
}
