package model

import "github.com/zeromicro/go-zero/core/stores/sqlx"

var _ FsProductTemplateTagsModel = (*customFsProductTemplateTagsModel)(nil)

type (
	// FsProductTemplateTagsModel is an interface to be customized, add more methods here,
	// and implement the added methods in customFsProductTemplateTagsModel.
	FsProductTemplateTagsModel interface {
		fsProductTemplateTagsModel
	}

	customFsProductTemplateTagsModel struct {
		*defaultFsProductTemplateTagsModel
	}
)

// NewFsProductTemplateTagsModel returns a model for the database table.
func NewFsProductTemplateTagsModel(conn sqlx.SqlConn) FsProductTemplateTagsModel {
	return &customFsProductTemplateTagsModel{
		defaultFsProductTemplateTagsModel: newFsProductTemplateTagsModel(conn),
	}
}
