package model

import "github.com/zeromicro/go-zero/core/stores/sqlx"

var _ FsProductSizeModel = (*customFsProductSizeModel)(nil)

type (
	// FsProductSizeModel is an interface to be customized, add more methods here,
	// and implement the added methods in customFsProductSizeModel.
	FsProductSizeModel interface {
		fsProductSizeModel
	}

	customFsProductSizeModel struct {
		*defaultFsProductSizeModel
	}
)

// NewFsProductSizeModel returns a model for the database table.
func NewFsProductSizeModel(conn sqlx.SqlConn) FsProductSizeModel {
	return &customFsProductSizeModel{
		defaultFsProductSizeModel: newFsProductSizeModel(conn),
	}
}
